FROM registry.cacp-test.hg.cn:31104/haiguan_base/openjdk:8u312-jdk-slim-hg-tsf-1.46

ADD ./target/*.jar /app/app.jar
RUN mkdir -p /app/servlet/logs
ENV TRACE_AGENT="-javaagent:/app/opentelemetry-javaagent.jar -Dotel.javaagent.extensions=/app/femas-trace-opentelemetry.jar -Dotel.traces.exporter=none -Dotel.propagators=b3,b3multi"
CMD ["sh", "-c", "cd /app; java ${JAVA_OPTS} ${TRACE_AGENT} -Djava.security.egd=file:/dev/./urandom -jar /app/app.jar ${RUN_ARGS}"]

EXPOSE 30000
